=== debian/changelog ===
ros-dashing-cv-bridge (2.1.4-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Fri, 17 Jan 2020 06:00:00 -0000

ros-dashing-cv-bridge (2.1.3-1bionic) bionic; urgency=high

  * populate array.array directly instead of converting to and from a string (#305 <https://github.com/ros-perception/vision_opencv/issues/305>)
  * include Boost to fix Windows build (#290 <https://github.com/ros-perception/vision_opencv/issues/290>)
  * Export interfaces for Win32 Shared Lib (#301 <https://github.com/ros-perception/vision_opencv/issues/301>)
  * Contributors: Dirk Thomas, Jonathan Noyola, Sean Yen

 -- Ethan Gao <ethan.gao@linux.intel.com>  Wed, 23 Oct 2019 05:00:00 -0000

ros-dashing-cv-bridge (2.1.2-1bionic) bionic; urgency=high

  * Suppress Boost Python warning. (#279 <https://github.com/ros-perception/vision_opencv/issues/279>)
  * silence unused return value warnings (#276 <https://github.com/ros-perception/vision_opencv/issues/276>)
  * Contributors: Karsten Knese, Michael Carroll

 -- Ethan Gao <ethan.gao@linux.intel.com>  Thu, 30 May 2019 05:00:00 -0000

ros-dashing-cv-bridge (2.1.1-1bionic) bionic; urgency=high

  * Replace ament commands with colcon (#263 <https://github.com/ros-perception/vision_opencv/issues/263>)
    Latest ros2 repo does not include ament_tools. Executing ament command results in error.
  * Contributors: Lalit Begani

 -- Ethan Gao <ethan.gao@linux.intel.com>  Fri, 26 Apr 2019 05:00:00 -0000

ros-dashing-cv-bridge (2.1.0-1bionic) bionic; urgency=high

  * find boost_python on boost 1.58 (<1.65) (#246 <https://github.com/ros-perception/vision_opencv/issues/246>)
  * Contributors: Mikael Arguedas

 -- Ethan Gao <ethan.gao@linux.intel.com>  Mon, 26 Nov 2018 06:00:00 -0000

ros-dashing-cv-bridge (2.0.5-1bionic) bionic; urgency=high

  * remove redundant ament_auto_lint dependency to release package
  * fix test_encode_decode_cv2_compressed runtime error with JPEG2000
  * change python3-numpy as build and execution dependency to fix building
    error while releasing package
  * Contributor: Ethan Gao

 -- Ethan Gao <ethan.gao@linux.intel.com>  Fri, 17 Aug 2018 05:00:00 -0000

ros-dashing-cv-bridge (2.0.4-1bionic) bionic; urgency=high

  * Add libopencv-dev as dependency of cv_bridge
  * Replace assert_equal with assert to remove dependency to nose package
  * Contributor: Ethan Gao

 -- Ethan Gao <ethan.gao@linux.intel.com>  Tue, 14 Aug 2018 05:00:00 -0000

ros-dashing-cv-bridge (2.0.3-1bionic) bionic; urgency=high

  * fix the build warning with colcon building
  * optimize buffer type of imgmsg_to_cv2()
  * add python3_opencv and python3_numpy as dependency
  * uncrustify 0.67 coding style alignment
  * Contributors: Mikael Arguedas, Lars Berscheid, Ethan Gao

 -- Ethan Gao <ethan.gao@linux.intel.com>  Tue, 07 Aug 2018 05:00:00 -0000

ros-dashing-cv-bridge (2.0.2-1bionic) bionic; urgency=high

  * fix rosdep keys issue of opencv3

 -- Ethan Gao <ethan.gao@linux.intel.com>  Fri, 29 Jun 2018 05:00:00 -0000

ros-dashing-cv-bridge (2.0.1-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Thu, 28 Jun 2018 05:00:00 -0000

ros-dashing-cv-bridge (2.0.0-1bionic) bionic; urgency=high

  * Port cv_bridge to ros2
  * Remove the old inherent boost files
  * Replace boost code with newer C++ standard higher than C++11
  * Add a new readme
  * Adapt message definition like sensor_msg/Image etc in ROS2
  * Coding style alignment with ROS2 using cppcheck/cpplint and python flake8/pep257
  * Enable all the C++/Python unit test with gtest and unittest with ament tools
  * Contributors: Ethan Gao

 -- Ethan Gao <ethan.gao@linux.intel.com>  Wed, 06 Jun 2018 05:00:00 -0000

ros-dashing-cv-bridge (1.12.7-1bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 12 Nov 2017 06:00:00 -0000

ros-dashing-cv-bridge (1.12.6-1bionic) bionic; urgency=high

  * fix endianness issues
  * Contributors: Vincent Rabaud

 -- Ethan Gao <ethan.gao@linux.intel.com>  Sat, 11 Nov 2017 06:00:00 -0000

ros-dashing-cv-bridge (1.12.5-1bionic) bionic; urgency=high

  * add version_gte for opencv3
    @vrabaud If you'll update opencv3 version as discussed in https://discourse.ros.org/t/opencv-3-3/2674/4, I think we'd better to add 'version_gte' tag so that apt-get install ros-kinetic-cv-bridge also pulls openv3.3 from repository, to avoid API breaking issue between opencv2 and opencv3.
  * Simplify the dependency components of cv_bridge
    Fixes #183 <https://github.com/ros-perception/vision_opencv/issues/183>
  * Fixes #177 <https://github.com/ros-perception/vision_opencv/issues/177>
    The Python bridge was wrong on OpenCV2 with mono8 (and any Mat
    with only two dimensions btw). Took the official Python bridge
    from OpenCV.
  * Add missing test file
    This fixes #171 <https://github.com/ros-perception/vision_opencv/issues/171>
  * Properly deal with alpha in image compression.
    That fixes #169 <https://github.com/ros-perception/vision_opencv/issues/169>
  * Silence warnings about un-used variables
  * export OpenCV variables
  * Contributors: Kei Okada, Victor Lamoine, Vincent Rabaud

 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 05 Nov 2017 05:00:00 -0000

ros-dashing-cv-bridge (1.12.4-1bionic) bionic; urgency=high

  * properly find Boost Python 2 or 3
    This fixes #158 <https://github.com/ros-perception/vision_opencv/issues/158>
  * Contributors: Vincent Rabaud

 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 29 Jan 2017 06:00:00 -0000

ros-dashing-cv-bridge (1.12.3-1bionic) bionic; urgency=high

  * Use api in sensor_msgs to get byte_depth and num channels
  * Implement cpp conversion of N channel image
    This is cpp version of https://github.com/ros-perception/vision_opencv/pull/141,
    which is one for python.
  * Fill black color to depth nan region
  * address gcc6 build error in cv_bridge and tune
    With gcc6, compiling fails with stdlib.h: No such file or directory,

