=== debian/control ===
Source: ros-dashing-cv-bridge
Section: misc
Priority: optional
Maintainer: Ethan Gao <ethan.gao@linux.intel.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libopencv-dev, python3-numpy, python3-opencv, ros-dashing-ament-cmake-gtest, ros-dashing-ament-cmake-pytest, ros-dashing-ament-cmake-ros, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-python-cmake-module, ros-dashing-sensor-msgs, ros-dashing-ros-workspace
Homepage: http://www.ros.org/wiki/cv_bridge
Standards-Version: 3.9.2

Package: ros-dashing-cv-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libopencv-dev, python3-numpy, ros-dashing-ament-index-python, ros-dashing-sensor-msgs, ros-dashing-ros-workspace
Description: This contains CvBridge, which converts between ROS2 Image messages and OpenCV images.
